using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MECF.Framework.UI.Client.TrayThickness
{
    /// <summary>
    /// WinPMThicknessDataView.xaml 的交互逻辑
    /// </summary>
    public partial class WinPMThicknessDataView : Window
    {
        public WinPMThicknessDataView()
        {
            InitializeComponent();
        }
        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            TextBox textBox = sender as TextBox;
            double input;
            if (!double.TryParse(textBox.Text, out input))
                textBox.Foreground = Brushes.Red;
            else if (input < 0 || input > 9999999)
                textBox.Foreground = Brushes.Red;
            else
                textBox.Foreground = Brushes.Black;
        }
    }
}
